# WEB+DB PRESS Vol.127 サンプルコード

## 概要
2023年6月発売のWEB+DB PRESS Vol.135 現場のPython第19回 **実務レベルのGraphQL導入ガイド** のサンプルコードです。

## 仮想環境の作成 ※ 仮想環境の作成は必須ではありませんが、環境を隔離するためにやっておくとよいです。
カレントディレクトリは`sample/`の前提です。
```
!!! cmd
$ python3 -m venv .venv
$ source .venv/bin/activate
```

## 必要なパッケージのインストール
```
!!! cmd
(venv) $ . .venv/bin/activate
(venv) $ pip install -r requirements.txt
```

## SQLiteにDB作成(マイグレーション実行)
```bash
(venv) $ cd mysite
(venv) $ python manage.py migrate
```

## 初期データのインポート
```bash
(venv) $ python manage.py loaddata seed.json
```

## サーバー起動
```bash
(venv) $ uvicorn mysite.asgi:application --host 127.0.0.1 --port 8000
```

## ログイン
以下にアクセスしてログインする。(初期ユーザーは`gihyo/gihyo`)

http://127.0.0.1:8000/admin/login/

※ Djangoの組み込みの開発用サーバを使用していないため、レイアウトが崩れますが、ログインはできるので無視してください。

# ブラウザ上でGraphiQLにアクセス
以下のURLにアクセスする

http://127.0.0.1:8000/graphql/


# サンプルクエリ
GraphiQL上で例えば以下のクエリを実行するとデータを取得できます。
```graphql
query MyQuery {
  me {
    email
    id
    username
    categories {
      books {
        id
        name
      }
      id
      name
    }
  }
}
```
