from django.contrib.auth import get_user_model
from django.db import models


class Book(models.Model):
    category = models.ForeignKey(
        "bookshelves.Category",
        null=True,
        blank=True,
        on_delete=models.SET_NULL,
    )
    name = models.CharField(max_length=128)


class Category(models.Model):
    user = models.ForeignKey(
        get_user_model(),
        on_delete=models.CASCADE,
    )
    name = models.CharField(max_length=64)
