import strawberry
from django.contrib.auth.models import User

from bookshelves.types import UserType


@strawberry.type
class Query:
    @strawberry.django.field
    def me(self, info) -> UserType | None:
        user = info.context.request.user
        if user.is_authenticated:
            return User.objects.get(pk=user.pk)
        else:
            return None


schema = strawberry.Schema(query=Query)
