from bookshelves import dataloaders
from bookshelves.models import Book, Category


async def find_my_categories(
    user_id: int,
) -> list[Category]:
    return [
        category
        async for category in Category.objects.filter(
            user_id=user_id
        )
    ]


async def find_my_books_of_categories(
    category_id: int,
) -> list[Book]:
    return await dataloaders.books_loader.load(
        category_id
    )
