import strawberry
from django.contrib.auth.models import User

from bookshelves import services
from bookshelves.models import Book, Category


@strawberry.django.type(Book)
class BookType:
    id: strawberry.auto
    name: strawberry.auto


@strawberry.django.type(Category)
class CategoryType:
    id: strawberry.auto
    name: strawberry.auto

    @strawberry.django.field
    async def books(self) -> list[BookType]:
        return (
            await services.find_my_books_of_categories(
                self.id
            )
        )


@strawberry.django.type(User)
class UserType:
    id: strawberry.auto
    email: strawberry.auto
    username: strawberry.auto

    @strawberry.django.field
    async def categories(self) -> list[CategoryType]:
        return await services.find_my_categories(
            self.id
        )
